PLATINUM DOCS
ApiVolumes

DELETE /v1/volumes/{id}/snapshots/{snapshotId}

DELETE
/v1/volumes/{id}/snapshots/{snapshotId}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
snapshotId*string

Header Parameters

Idempotency-Key?string
Length8 <= length <= 255

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/volumes/string/snapshots/string"
{  "id": "string",  "volume_id": "string",  "type": "local",  "driver": "local",  "state": "creating",  "manifest_key": "string",  "object_count": 0,  "size_bytes": 0,  "logical_bytes": 0,  "inode_count": 0,  "error": "string",  "source_generation": 0,  "restore_volume_id": "string",  "retention_until": "string",  "created_at": "string",  "completed_at": "string"}
{  "id": "string",  "volume_id": "string",  "type": "local",  "driver": "local",  "state": "creating",  "manifest_key": "string",  "object_count": 0,  "size_bytes": 0,  "logical_bytes": 0,  "inode_count": 0,  "error": "string",  "source_generation": 0,  "restore_volume_id": "string",  "retention_until": "string",  "created_at": "string",  "completed_at": "string"}
Empty